Bug 268141 - pup: "apply updates" does not work
pup: "apply updates" does not work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
All All
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 13:37 EDT by Need Real Name
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 12:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-08-30 13:37:58 EDT
When an update is available, right-clicking pup and choosing "apply updates"
does nothing.
Comment 1 Jeremy Katz 2007-08-30 16:01:58 EDT
What version of pirut do you have installed?
Comment 2 Need Real Name 2007-09-09 15:46:14 EDT
pirut-1.3.9-1.fc7
Comment 3 Jeremy Katz 2007-09-09 21:14:28 EDT
Hmm -- can you try running puplet from a terminal and then doing it to see if
there's a traceback output at all?  I'm not seeing anything obviously wrong
(although my laptop isn't missing updates at the moment, so I can't do a real test)
Comment 4 Jeremy Katz 2007-09-11 12:34:08 EDT
Duh.  I see what it is.  The GTK+ signal never actually got connected to the
method to run pup with --apply.  Fixed up in CVS, will be in 1.3.18

Note You need to log in before you can comment on or make changes to this bug.